Bug 1002006 - avc: denied { read write } for pid=701 comm="hostname" path="/dev/pts/1" dev="devpts" ino=4 scontext=system_u:system_r:hostname_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file
avc: denied { read write } for pid=701 comm="hostname" path="/dev/pts/1" d...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 06:12 EDT by Steve Tyler
Modified: 2015-06-29 21:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2013-08-28 06:12:02 EDT
Description of problem:
This avc appears in the syslog for Bug 1001425, Attachment 791262 [details]:

16:30:02,625 NOTICE kernel:[  201.341087] type=1400 audit(1377621002.623:19): avc:  denied  { read write } for  pid=701 comm="hostname" path="/dev/pts/1" dev="devpts" ino=4 scontext=system_u:system_r:hostname_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file

The same avc also occurs in the syslog for Bug 995268, Attachment 784635 [details]:

22:08:57,983 NOTICE kernel:[   36.876163] type=1400 audit(1375999737.981:17): avc:  denied  { read write } for  pid=684 comm="hostname" path="/dev/pts/1" dev="devpts" ino=4 scontext=system_u:system_r:hostname_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file

Version-Release number of selected component (if applicable):

Bug 1001425: (This is for the F20 Alpha TC1 DVD.)
selinux-policy-3.12.1-72.fc20.noarch (per attached packaging.log)

Bug 995268: (This appears to be for a nightly boot.iso.)
syslog:
Command line: initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x20rawhide\x20x86_64 quiet BOOT_IMAGE=vmlinuz

lsblk_output:
sr0        326107136 root  cdrom brw-rw---- sr0       iso9660         Fedora rawhide x86_64 2013-08-08-13-09-47-00               /run/install/repo

How reproducible:
Twice, in different bug reports.

Steps to Reproduce:
1. Unknown, but both are running in a VM.

Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2013-08-28 15:24:26 EDT
ecf5132b5cb6186b9e451a27e3ca9cd495df187e fixes this in git.
Comment 2 Fedora Update System 2013-09-25 16:40:01 EDT
selinux-policy-3.12.1-83.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-83.fc20
Comment 3 Fedora Update System 2013-09-26 20:43:35 EDT
Package selinux-policy-3.12.1-83.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-83.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-83.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-02 02:43:43 EDT
Package selinux-policy-3.12.1-84.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-84.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
then log in and leave karma (feedback).
Comment 5 Fedora End Of Life 2015-05-29 05:21:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 21:32:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.